Download it now!
Bug 131045 - Conditional formatting: "Cell value is" condition name should be "Cell value"
Summary: Conditional formatting: "Cell value is" condition name should be "Cell value"
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Ayhan Yalçınsoy
URL:
Whiteboard: target:7.0.0 target:7.0.0.1
Keywords: difficultyBeginner, easyHack, skillDesign, topicDesign
Depends on:
Blocks: Conditional-Formatting
  Show dependency treegraph
 
Reported: 2020-03-01 06:47 UTC by Mike Kaganski
Modified: 2020-05-27 19:30 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of a conditional format which is named incorrectly (9.87 KB, image/png)
2020-03-01 06:47 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2020-03-01 06:47:24 UTC
Created attachment 158283 [details]
Screenshot of a conditional format which is named incorrectly

In conditional formatting, one of condition names (chosen from the first drop-down list in the dialog) is "Cell value is". Then from second drop-down, a specification is chosen, and lastly, optional value is entered in the edit box.

For a format like "Cell value is" "equal to" ..., the resulting name of the condition is "Cell value is equal to ...", which looks correct English. However, some specifications make this look incorrect: like "Cell value is" "Begins with" ... or "Cell value is" "Contains" ... (see screenshot).

To make the language correct, the proposal is to change "Cell value is" to simple "Cell value", and entries like "equal to" to "is equal to"; entries like "Begins with" (starting with uppercase) should be lowercased.
Comment 1 Thomas Lendo 2020-03-01 10:09:15 UTC
Then all entries in the first drop-down menu must be changed and the 'is' must be removed not only at 'Cell value is' but also at 'Formula is' and 'Date is' to be ensure to reuse the entris in the second drop-down menu. This 'is' and the language-specific equivalents must be added to the entries in the second drop-down menu.

@Heiko: Who is responsible for localization questions that can answer if such change is possible for the languages that LibO offers?
Comment 2 Mike Kaganski 2020-03-01 10:27:37 UTC
(In reply to Thomas Lendo from comment #1)
> Then all entries in the first drop-down menu must be changed and the 'is'
> must be removed not only at 'Cell value is' but also at 'Formula is' and
> 'Date is' to be ensure to reuse the entris in the second drop-down menu.
> This 'is' and the language-specific equivalents must be added to the entries
> in the second drop-down menu.

No. For "Formula is", there's no second drop-down. For "Date is", all entries in the drop-down are OK.

And why is that relevant for "the languages that LibO offers"? Every localization translates the entries differently, to make it conform to that language's rules. They may translate "Cell value" to the same string they used previously for "Cell value is".
Comment 3 Heiko Tietze 2020-03-02 14:25:57 UTC
(In reply to Mike Kaganski from comment #0)
> To make the language correct, the proposal is to change "Cell value is" to
> simple "Cell value", and entries like "equal to" to "is equal to"; entries
> like "Begins with" (starting with uppercase) should be lowercased.

+1

Code pointer: sc/uiconfig/scalc/ui/conditionalentry.ui and sc/inc/globstr.hrc

NC_("STR_COND_CONDITION", "Cell value is")
NC_("STR_COND_COLORSCALE", "ColorScale")
NC_("STR_COND_DATABAR", "DataBar")
NC_("STR_COND_ICONSET", "IconSet")
NC_("STR_COND_BETWEEN", "between")
NC_("STR_COND_NOTBETWEEN", "not between")
NC_("STR_COND_UNIQUE", "unique")
NC_("STR_COND_DUPLICATE", "duplicate")
NC_("STR_COND_FORMULA", "Formula is")
NC_("STR_COND_TOP10", "Top Elements")
NC_("STR_COND_BOTTOM10", "Bottom Elements")
NC_("STR_COND_TOP_PERCENT", "Top Percent")
NC_("STR_COND_DATE", "Date is")
NC_("STR_COND_BOTTOM_PERCENT", "Bottom Percent")
NC_("STR_COND_ABOVE_AVERAGE", "Above Average")
NC_("STR_COND_BELOW_AVERAGE", "Below Average")
NC_("STR_COND_ABOVE_EQUAL_AVERAGE", "Above or equal Average")
NC_("STR_COND_BELOW_EQUAL_AVERAGE", "Below or equal Average")
NC_("STR_COND_ERROR", "an Error code")
NC_("STR_COND_NOERROR", "not an Error code")
NC_("STR_COND_BEGINS_WITH", "Begins with")
NC_("STR_COND_ENDS_WITH", "Ends with")
NC_("STR_COND_CONTAINS", "Contains")
NC_("STR_COND_NOT_CONTAINS", "Not Contains")
NC_("STR_COND_TODAY", "today")
NC_("STR_COND_YESTERDAY", "yesterday")
NC_("STR_COND_TOMORROW", "tomorrow")
NC_("STR_COND_LAST7DAYS", "in the last 7 days")
NC_("STR_COND_THISWEEK", "this week")
NC_("STR_COND_LASTWEEK", "last week")
NC_("STR_COND_NEXTWEEK", "next week")
NC_("STR_COND_THISMONTH", "this month")
NC_("STR_COND_LASTMONTH", "last month")
NC_("STR_COND_NEXTMONTH", "next month")
NC_("STR_COND_THISYEAR", "this year")
NC_("STR_COND_LASTYEAR", "last year")
NC_("STR_COND_NEXTYEAR", "next year")

Could also live without any verb, like "Cell value" "equal" "[1]". 

(In reply to Thomas Lendo from comment #1)
> @Heiko: Who is responsible for localization questions that can answer if
> such change is possible for the languages that LibO offers?

Adding Sophie for the l10n team.
Comment 4 sophie 2020-03-10 09:25:08 UTC
Thanks Heiko for asking, it's ok on l10n teams side.
Comment 5 Marco Marega 2020-03-16 20:04:35 UTC
Hi,
your question was forwarded to Italian translation mailing list ans someone suggested me to report here my advice.

I agree with the proposal to remove the "is" from "Cell value is".

Translating into Italian, we used to put also the article before (something like "The cell value is") and removing the verb that may sound bad, but if we remove also the article, the item should be ok.

I pointed out that, IMHO, the "is" can be removed also from "Formula is" and "Date is".

Also in the "Function Wizard" there is a "Formula" field and its label has no verb "is". Almost the same goes for "Date is", even if I'm a little more in doubt about this.
Anyway I think that menu items should be as shorter and simple as possible.

Thanks for your attention.
Comment 6 Thomas Lendo 2020-03-17 21:21:22 UTC
(In reply to Mike Kaganski from comment #2)
> No. For "Formula is", there's no second drop-down.
You're right, I've overseen that.

> For "Date is", all
> entries in the drop-down are OK.
The entries are uppercased (at least in my test) and should also be lowercased as the entfies of the others.
Comment 7 Commit Notification 2020-05-27 18:31:12 UTC
ayhanyalcinsoy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/97e14560e4b741c5eec027eced44f8f286d5523c

tdf#131045:Make condition names grammatically correct

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-05-27 19:30:44 UTC
ayhanyalcinsoy committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/22c51954a28654fde507c341cee28ab85fb9c47f

tdf#131045:Make condition names grammatically correct

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.